Bug 1646746 - Show Repo Label on Enabled repos results
Summary: Show Repo Label on Enabled repos results
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Avi Sharvit
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-05 22:51 UTC by Mike McCune
Modified: 2020-04-14 13:38 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.46-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1624479
Environment:
Last Closed: 2020-04-14 13:38:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
missing labels (112.98 KB, image/png)
2019-01-21 17:11 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24827 Normal Closed Show Repo Label on Enabled repos results 2020-03-10 18:06:27 UTC

Description Mike McCune 2018-11-05 22:51:24 UTC
+++ This bug was initially created as a clone of Bug #1624479 +++

Description of problem:

Display the repo label on the enabled repos results

Version-Release number of selected component (if applicable):

6.4 Repositories page

How reproducible:

Always

Steps to Reproduce:
1. Ensure a repo is enabled
2. View results

Actual results:

No repo label on the enabled repo entries though they are present in the Available repos column.

Expected results:

Show Repo Label for both Available and Enabled repos.

Additional info:

Hilti

--- Additional comment from pm-rhel@redhat.com on 20180904T17:45:02

Since this issue was entered in Red Hat Bugzilla, the pm_ack has been
set to + automatically for the next planned release

--- Additional comment from tstrachota@redhat.com on 20180905T11:52:34

Hi Roxanne,
I remember we were talking about this one in a meeting but I forgot the details.

Should the repo set label in enabled repos list be displayed instead of architecture and version? For example "rhel-7-server-rhn-tools-rpms" instead of "x86_64 7.1"? See my attached screenshot that demonstrates this alternative.

Or should it be displayed together with arch and version?

Or did I misunderstood it completely and you're proposing something completely different?

--- Additional comment from tstrachota@redhat.com on 20180905T11:52:55

Created attachment 1481083 [details]
Proposal for repo labels placement

--- Additional comment from asharvit@redhat.com on 20180905T14:47:48

Created redmine issue https://projects.theforeman.org/issues/24827 from this bug

--- Additional comment from asharvit@redhat.com on 20180905T16:04:31

Upstream bug assigned to asharvit@redhat.com

--- Additional comment from pm-sat@redhat.com on 20180905T16:09:24

Upstream bug assigned to asharvit@redhat.com

--- Additional comment from pm-sat@redhat.com on 20180905T16:09:27

Upstream bug assigned to asharvit@redhat.com

--- Additional comment from pm-sat@redhat.com on 20180905T20:09:23

Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24827 has been resolved.

--- Additional comment from tstrachota@redhat.com on 20180906T07:23:00

My question was answered in a PR, removing needinfo.

--- Additional comment from pcreech@redhat.com on 20180919T13:46:34

Avi,

This failed to cherry-pick downstream, can you take a look?

--- Additional comment from mmccune@redhat.com on 20180925T21:40:40

This does not match the 'DDR' blocker criteria and we are moving this to 6.4.z

--- Additional comment from pcreech@redhat.com on 20180926T15:58:27

I accidentally merged this not realizing it got kicked to 6.4.z.  Reopened the PR

Comment 10 jcallaha 2019-01-21 17:10:34 UTC
Failed QA in Satellite 6.4.2 Snap 1.

While the labels show up in the un-enabled repos, enabled ones are still not showing their labels. 
See attached screenshot.

Comment 11 jcallaha 2019-01-21 17:11:01 UTC
Created attachment 1522205 [details]
missing labels

Comment 12 Bryan Kearney 2019-01-21 19:04:21 UTC
Upstream bug assigned to asharvit@redhat.com

Comment 14 jcallaha 2020-03-13 18:30:51 UTC
Verified in Satellite 6.7

Comment 15 Bryan Kearney 2020-04-14 13:38:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.